質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.93%

gitを最新のものにしたいです。インストールされているバージョンと使用しているバージョンがなぜか違います。

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 237

kei...

score 7

webでの開発が初めての初学者です。

最新のgitをインストールしたはずが、ターミナルでgit --versionで確認すると古いバージョンが示されます。最新のものにしたいです。

今までにターミナルで行ったことは以下の通りです。
$ brew install git

$ git --version
git version 2.17.2 (Apple Git-113)
$ brew upgrade git
Updating Homebrew...
Warning: git 2.27.0 already installed
Mac

環境はmacOS Mojave 10.14.3です

おそらく昔にgitをインストールしたのですが、どの方法でインストールしたのか覚えていません。
よろしくお願いします

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • y_waiwai

    2020/06/06 10:13

    最新のGitはどうやってインストールしたんでしょう

    キャンセル

  • kei...

    2020/06/06 10:41

    最新のGitは$ brew install gitで、homebrewからインストールしました。
    https://git-scm.com/download/mac

    キャンセル

  • y_waiwai

    2020/06/06 10:59

    https://www.atmarkit.co.jp/flinux/rensai/linuxtips/163wherecomd.html
    Gitコマンドの位置を調べてみてください。
    複数入ってるなら全て

    キャンセル

  • kei...

    2020/06/06 11:56

    $ which -a git
    /usr/bin/git
    /usr/local/bin/git
    /usr/local/git/bin/git
    $ type git
    git is hashed (/usr/bin/git)
    コマンドの位置が複数見つかりました。
    Homebrewでインストールしたものがどれかわからず、
    どれにパスを通せば良いのでしょう?

    キャンセル

回答 1

checkベストアンサー

+1

おそらく、 PATH 指定の順番による問題でしょうね。

$ git --version
git version 2.17.2 (Apple Git-113)

これは、/usr/bin/git で、Xcode 等の開発環境をインストールしたら入っている macOS 標準の git ですね。( /usr/bin/git --version で同じ表示が出ると思います。 )

$ brew upgrade git
Updating Homebrew...
Warning: git 2.27.0 already installed

これは、/usr/local/bin/git の方ですね。

echo $PATH を実行して、環境変数 PATH 確認するとおそらく PATH の設定が、 /usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin のように /usr/local/bin が、 /usr/bin より後ろにないでしょうか?

/usr/local/bin が、 /usr/bin より前に来るような PATH 設定にすると brew でインストールした git が使われるようにならないでしょうか。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2020/06/08 11:26

    ありがとうございます。
    $ /usr/bin/git --version
    git version 2.17.2 (Apple Git-113)
    $ /usr/local/bin/git --version
    git version 2.27.0
    $ /usr/local/git/bin/git --version
    git version 2.3.5
    $ /usr/local/bin/gitにHomebrewでインストールしたgit version 2.27.0があることがわかりましたので、どれにパス設定すればいいのかわかりました。
    Exportコマンドで/usr/local/binのコマンド検索パスの優先順位を高くして、~/.bash_profileに追記する。
    $ echo 'export PATH="/usr/local/bin:$PATH"' >> ~/.bash_profile

    Sourceコマンドを使用して
    ~/.bash_profileに追記したファイルに書かれたコマンドを現在のシェルで実行する。
    $ source ~/.bash_profile

    これで解決しましたが、解釈は正しかったでしょうか?

    キャンセル

  • 2020/06/08 12:05

    はい。大丈夫です。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.93%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • トップ
  • Gitに関する質問
  • gitを最新のものにしたいです。インストールされているバージョンと使用しているバージョンがなぜか違います。